Skip to main content
PATCH
/
workspaces
/
{id}
Update a workspace
const options = {
  method: 'PATCH',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({name: '<string>', slug: '<string>'})
};

fetch('https://api.phaseo.app/v1/workspaces/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
{
  "data": {
    "id": "33333333-3333-4333-8333-333333333333",
    "name": "Production",
    "slug": "production",
    "created_by": "user_abc123",
    "created_at": "2026-04-28T12:00:00Z",
    "updated_at": "2026-04-28T12:15:00Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.ai-stats.phaseo.app/llms.txt

Use this file to discover all available pages before exploring further.

This endpoint requires a management API key. Standard Gateway API keys are not accepted.
Use this endpoint to rename a workspace or change its slug.

Authorizations

Authorization
string
header
required

Bearer token authentication

Path Parameters

id
string
required

Workspace UUID or slug.

Body

application/json
name
string
Required string length: 1 - 100
slug
string
Required string length: 1 - 50
Pattern: ^[a-z0-9-]+$

Response

Updated workspace metadata

data
object
required
Last modified on April 29, 2026